*{
    box-sizing: border-box;
}


body{
    font-family:'Times New Roman', Times, serif;
    margin: 0;
    display: flex;
    flex-direction: column;
}

header{
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #333333;
    padding: 10px;
    
}

span{
    color:  #0056b3;
}

header ul{
    list-style: none;
    display: flex;
    margin: 0;
    padding: 0;
}


#logo {
    display: flex;
    align-items: center;
    gap: 10px;
    font-size: 25px;
}
#logo img{
    width: 32px;
    height: 32px;
    object-fit: contain;
}
#logo a{
   color: #ffffff;
}


#menu li{
    padding: 10px;
}

#menu li a{
    color: #ffffff;
}

#social-links li {
    padding: 10px;
}

.fa-brands {
    color: #ffffff;
}
a{
    text-decoration: none;
}

#main{
    display: flex;
}

aside{
    flex: 0 0 20vw;
    background-color: #E0E0E0;
    color: #111111;
}

aside ul{
    list-style: none;
    padding: 10px;
}

aside ul li a {
    background-color: #E0E0E0;
    color:  #111111;
    display: block;
    border-bottom: 1px solid grey;
}

aside img{
    width: 100%;
}

article{
    background-color: #F4F4F4;
    padding: 10px;
}

.service-container{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
   

}

.service-box{
    border: 1px solid black;
    background-color: #DDEEFF;
    padding: 10px;
    flex-basis: 32%;
    max-width: 370px;
    display: flex;
    flex-direction: column;
    margin-bottom: 15px;
}

.service-box h3{
    margin: 5px 0 10px;
}
.service-box p{
    margin: 0 0 10px;
}

.service-box img{
    width: 100%;
    height: auto;
    object-fit: cover;
    aspect-ratio: 1 / 1;
}
.service-title h3{
    color: #003366;
}

.service-description p{
    color: #444444;
}

.call-to-actionbtn{
    align-self: flex-start;
    margin-top: auto;
}

.call-to-actionbtn a{
    padding: 8px 16px;
    background-color: #007BFF;
    color: #ffffff;
    display: block;
}

.call-to-actionbtn a:hover {
    background-color: #0056b3;
}

footer{
    text-align: center;
    background-color: #222222;
    color: #CCCCCC;
    padding: 15px 0;
}


/* media query------->For responsive design */

@media screen and (max-width:850px) {
    .service-box{
        flex-basis: 48%;
    }
    aside{
        flex: 0 0 30vw;
    }
}


@media screen and (max-width:600px) {
    header{
        display: flex;
        flex-direction: column;
    }

    article{
        order: -1;
    }

    #main{
        flex-direction: column;
    }

    .service-container{
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    h2{
        text-align: center;
    }

    #logo {
        display: flex;
        flex-direction: column;
    }

    #logo img{
        width: 64px;
        height: 64px;
        object-fit: contain;
    }

    article p{
        text-align: center;
    }
}